Package ru.bitel.bgbilling.modules.bill.server.bean.export

# Class ExportInvoiceUtils

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.bill.server.bean.export.ExportAbstractUtils
ru.bitel.bgbilling.modules.bill.server.bean.export.ExportInvoiceUtils

public class ExportInvoiceUtils extends ExportAbstractUtils

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.bill.server.bean.export.ExportAbstractUtils

  `csvSeparator, moduleSetup, saveOnServerPath`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExportInvoiceUtils(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `doExport(BillListFilter billListFilter, boolean saveOnServer)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.export.ExportAbstractUtils

  `preemptBillNew, preemptBillOld`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExportInvoiceUtils

    public ExportInvoiceUtils(Connection con, int moduleId)

- ## Method Details

  - ### doExport

    public String doExport(BillListFilter billListFilter, boolean saveOnServer) throws Exception
    Throws:
      `Exception`